REST APIWallet & TransactAddress

GET

Gets a receive address on a wallet

Path Params

  • coin string required
    A cryptocurrency symbol or token ticker symbol
  • walletId string required

    matches ^[0-9a-f]{32}$

  • addressOrId string required
    The address or ID which will be used for information lookup

Query Params

  • dt string
    For XRP addresses
  • memoId string
    For XLM addresses

Responses

200
OK

Response Body

ONE OF

  • coin string required
    A cryptocurrency symbol or token ticker symbol
  • wallet string required
  • chain number enum required
    011011202130314041
  • index number required
  • id string
    Platform public ID for an address

    matches ^[0-9a-f]{32}$

  • address string

    up to 250 characters

  • balance object
    balance object
    • balanceString string required
      String representation of the balance. Guaranteed to not lose precision.
    • confirmedBalanceString string required
      The total balance of confirmed transactions for the address (in the chain's base unit). Guaranteed to not lose precision.
    • spendableBalanceString string required
      The total balance of the address (in the chain's base unit) which may be used as inputs for creating new transactions in string representation. Guaranteed to not lose precision.
    • updated string
      The last time a transaction affected the balance of this address
    • balance number
    • lockedBalanceString string
    • reservedBalanceString string
    • totalReceived number
      The total amount received on this address (in the chain's base unit)
    • totalSent number
      The total amount sent from this address (in the chain's base unit)
    • transferCount number
    • tokens map of objects
      tokens object
      • <key> object
    • nfts map of objects
      nfts object
      • <key> object
    • unsupportedNfts map of objects
      unsupportedNfts object
      • <key> object
    • type object
    • metadata object
  • coinSpecific object
    Properties specific to certain coin types

    ONE OF

    • rootAddress string required
    • trustedTokens array of objects
      trustedTokens object
      • state string enum
        pendingactive
      • limit string
      • token string
    • addressVersion number
    • threshold number
    • bitgoKey object
    • bitgoPubKey string
  • label string
    A human-readable label for the address

    up to 250 characters

  • lastNonce number

    Defaults to -1

  • token string
  • proof string
  • signature string
  • lastConsolidatedTime string date
  • needsConsolidation boolean
  • tokenConsolidationState object
  • tokenAddress object
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id